import { Controller, Get, Query } from '@nestjs/common';
import { AppService } from './app.service';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get('one')
  getOneEnter(
    @Query('includeBad') includeBad: string,
    @Query('location') location: string,
  ): any {
    const enter = this.appService.getOneEnter(!!includeBad, location);
    return { enter };
  }

  @Get('all')
  getAllEnters(
    @Query('includeBad') includeBad: string,
    @Query('location') location: string,
  ): any {
    const enters = this.appService.getAllEnters(!!includeBad, location);
    return { enters };
  }
}
